Package org.apache.storm.redis.common.commands

## Interface RedisCommands

- All Known Implementing Classes:
    `RedisCommandsAdapterJedis`, `RedisCommandsAdapterJedisCluster`

      public interface RedisCommands

  This interface represents Jedis methods exhaustively which are used on storm-redis.

  This is a workaround since Jedis and JedisCluster doesn't implement same interface for binary type of methods, and unify binary methods and string methods into one interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `del​(byte[] key)` |
    `Long` | `del​(String key)` |
    `Boolean` | `exists​(byte[] key)` |
    `boolean` | `exists​(String key)` |
    `Long` | `hdel​(byte[] key, byte[]... fields)` |
    `byte[]` | `hget​(byte[] key, byte[] field)` |
    `Map<byte[],​byte[]>` | `hgetAll​(byte[] key)` |
    `Map<String,​String>` | `hgetAll​(String key)` |
    `String` | `hmset​(byte[] key, Map<byte[],​byte[]> fieldValues)` |
    `String` | `hmset​(String key, Map<String,​String> fieldValues)` |
    `redis.clients.jedis.resps.ScanResult<Map.Entry<byte[],​byte[]>>` | `hscan​(byte[] key, byte[] cursor, redis.clients.jedis.params.ScanParams params)` |
    `String` | `rename​(byte[] oldkey, byte[] newkey)` |
    `String` | `rename​(String oldkey, String newkey)` |

- - ### Method Detail

    - #### exists

          Boolean exists​(byte[] key)

    - #### exists

          boolean exists​(String key)

    - #### del

          Long del​(byte[] key)

    - #### del

          Long del​(String key)

    - #### rename

          String rename​(byte[] oldkey,
                        byte[] newkey)

    - #### rename

          String rename​(String oldkey,
                        String newkey)

    - #### hget

          byte[] hget​(byte[] key,
                      byte[] field)

    - #### hgetAll

          Map<byte[],​byte[]> hgetAll​(byte[] key)

    - #### hgetAll

          Map<String,​String> hgetAll​(String key)

    - #### hmset

          String hmset​(byte[] key,
                       Map<byte[],​byte[]> fieldValues)

    - #### hmset

          String hmset​(String key,
                       Map<String,​String> fieldValues)

    - #### hdel

          Long hdel​(byte[] key,
                    byte[]... fields)

    - #### hscan

          redis.clients.jedis.resps.ScanResult<Map.Entry<byte[],​byte[]>> hscan​(byte[] key,
                                                                                     byte[] cursor,
                                                                                     redis.clients.jedis.params.ScanParams params)